Draft FlipDimension

From FreeCAD Documentation
Revision as of 15:30, 3 September 2021 by Heda (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Slope.svg Slope

Draft FlipDimension.svg Draft FlipDimension

Системное название
Draft FlipDimension
Расположение в меню
Черчение → Утилиты → Перевернуть размер
Верстаки
Draft, Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Размер

Description

Описание

Когда в 2D-режиме текст Draft dimensions отображается в соответствии с размерной строкой. Инструмент измерения всегда пытается показать вам размерный текст на правильной стороне размерной линии, в зависимости от того, где вы его просматриваете. В некоторых случаях, однако, направление просмотра может не отражать намерения зрителя, и ориентация текста измерения может быть инвертирована. Этот инструмент инвертирует эту ориентацию на выбранных объектах dimension.

Usage

Использование

  1. Выберите один или несколько объектов dimension
  2. Нажмите кнопку Draft FlipDimension.png Flip Dimension

Notes

  • Draft Dimensions also have a ДанныеFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()


Arrow-left.svg Previous: Draft Slope.svg Slope